> ## Documentation Index
> Fetch the complete documentation index at: https://docs.projectio.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Element Indicator

> Store a newly created indicator in element.



## OpenAPI

````yaml POST /v1/projects/{project_id}/elements/{element_id}/indicators
openapi: 3.1.0
info:
  title: Torch Impact Management API
  description: >-
    API for managing users, projects, indicators, targets, results, and impact
    data in Torch.
  version: '2026-01-27'
servers:
  - url: https://{tenant}.torchapp.com.au/api
    variables:
      tenant:
        default: demo
        description: Your Torch tenant subdomain.
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Users
  - name: Projects
  - name: Elements
  - name: Indicators
  - name: Disaggregations
  - name: Targets
  - name: Results
  - name: Assignments
  - name: Misc
paths:
  /v1/projects/{project_id}/elements/{element_id}/indicators:
    post:
      tags:
        - Indicators
      summary: Create indicator
      description: Store a newly created indicator in element.
      parameters:
        - $ref: '#/components/parameters/ProjectIdAlt'
        - $ref: '#/components/parameters/ElementIdAlt'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IndicatorCreate'
      responses:
        '200':
          description: Indicator created
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '401':
          $ref: '#/components/responses/Unauthenticated'
components:
  parameters:
    ProjectIdAlt:
      name: project_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the project.
    ElementIdAlt:
      name: element_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the element.
  schemas:
    IndicatorCreate:
      type: object
      properties:
        name:
          type: string
          example: b
          maxLength: 255
        type:
          type: string
          example: financial
          enum:
            - qualitative
            - quantitative
            - status
            - financial
        description:
          type: string
          example: Eius et animi quos velit et.
        calculation:
          type: string
          example: cumulative
          enum:
            - cumulative
            - time-period
        unit_of_measure:
          type: string
          example: v
          maxLength: 255
        method_of_collection:
          type: string
          example: architecto
        disaggregation:
          type: string
          example: architecto
        baseline_period:
          type: string
          example: 'n'
          maxLength: 255
        information_source:
          type: string
          example: architecto
        collection_timing:
          type: string
          example: architecto
        data_collector:
          type: string
          example: architecto
        level_of_ambition:
          type: string
          example: architecto
        status:
          type: string
          example: Active
          enum:
            - Active
            - Archived
      required:
        - name
        - type
    UnauthenticatedError:
      type: object
      properties:
        message:
          type: string
          example: Unauthenticated.
      required:
        - message
  responses:
    Unauthenticated:
      description: Unauthenticated
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````